Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::OpenSSL_Error Class Reference

`#include <openssl.h>`

Inheritance diagram for Botan::OpenSSL_Error:

## Public Member Functions
| OpenSSL_Error (const std::string &what)
const char * | what () const BOTAN_NOEXCEPT override

## Detailed Description

Definition at line 30 of file openssl.h.

## Constructor & Destructor Documentation

Botan::OpenSSL_Error::OpenSSL_Error | ( | const std::string & | what | ) |
| inline

Definition at line 33 of file openssl.h.

33 :
34 Exception(what + " failed: " + ERR_error_string(ERR_get_error(), nullptr)) {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.h:24
Botan::Exception::what
const char * what() const BOTAN_NOEXCEPT override
Definition: exceptn.h:26

## Member Function Documentation

const char* Botan::Exception::what | ( |  | ) | const
| inline override inherited

Definition at line 26 of file exceptn.h.

Referenced by botan_cipher_update(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), Botan::X509_Object::do_decode(), and Botan::X509::load_key().

26 { return m_msg.c_str(); }

The documentation for this class was generated from the following file:

- src/lib/prov/openssl/openssl.h